emboss (6.6.0+dfsg-10ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/p/mysql-8.0: Fix build against MySQL 8.0 by making it compatible
      with stdbool.h.

 -- Logan Rosen <logan@ubuntu.com>  Fri, 24 Dec 2021 16:02:17 -0500

emboss (6.6.0+dfsg-10) unstable; urgency=medium

  * Remove com.sun.net.ssl calls, removed from jdk17 (Closes: #982036)

 -- Olivier Sallou <osallou@debian.org>  Thu, 23 Dec 2021 08:18:17 +0000

emboss (6.6.0+dfsg-9ubuntu1) impish; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/p/mysql-8.0: Fix build against MySQL 8.0 by making it compatible
      with stdbool.h.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 15 Jun 2021 21:51:41 -0400

emboss (6.6.0+dfsg-9) unstable; urgency=medium

  7a121b7 Remove quotes in mailcap entries.
          Thanks to Marriott NZ <marriott99@gmx.com> (Closes: #985596)

 -- Charles Plessy <plessy@debian.org>  Sun, 28 Mar 2021 13:46:29 +0900

emboss (6.6.0+dfsg-8) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.

  [ Andreas Tille ]
  * Nelson A. de Oliveira retired from Debian (thanks for your previous
    work on this package Nelson)
    Closes: #962116
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Do not parse d/changelog (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Remove obsolete field Contact from debian/upstream/metadata (already present
    in machine-readable debian/copyright).
  * Fix day-of-week for changelog entry 2.6.0-1.

 -- Andreas Tille <tille@debian.org>  Wed, 03 Jun 2020 20:51:54 +0200

emboss (6.6.0+dfsg-7ubuntu2) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 10:48:19 +0000

emboss (6.6.0+dfsg-7ubuntu1) eoan; urgency=medium

  * Fix build against MySQL 8.0 by make compatible against stdbool.h.

 -- Robie Basak <robie.basak@ubuntu.com>  Fri, 12 Jul 2019 14:36:11 +0000

emboss (6.6.0+dfsg-7) unstable; urgency=medium

  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.5
  * Drop unused lintian-overrides
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test
  * Lintian override for script-with-language-extension
  * More verbose package descriptions for all packages

 -- Andreas Tille <tille@debian.org>  Fri, 03 Aug 2018 05:59:14 +0200

emboss (6.6.0+dfsg-6) unstable; urgency=medium

  * debhelper 10
  * d/watch: version=4
  * Build-Depends: default-libmysqlclient-dev
    Closes: #845838

 -- Andreas Tille <tille@debian.org>  Sat, 03 Dec 2016 08:40:10 +0100

emboss (6.6.0+dfsg-5) unstable; urgency=medium

  * Make sure manpage links will not end up in archindep packages
    Closes: #834013

 -- Andreas Tille <tille@debian.org>  Fri, 12 Aug 2016 16:48:46 +0200

emboss (6.6.0+dfsg-4) unstable; urgency=medium

  [ Canberk Koç ]
  * Team upload.
  * Autopkgtest added

  [ Andreas Tille ]
  * hardening+=all
  * Fix some minor spelling issues inside packaging
  * Secure Vcs-Git
  * Bumped Standards-Version

 -- Canberk Koç <canberkkoc@gmail.com>  Tue, 09 Aug 2016 07:27:29 +0300

emboss (6.6.0+dfsg-3) unstable; urgency=medium

  * Make sure we will not delete documentation files from new upstream
    version
  * Enable build on hurd
    Closes: #762673
  * cme fix dpkg-control
  * incorporate changes from biolinux (see below)
  * Make sure data are really in th directory where they will be copied from
    Closes: #806022
  * Ignore false lintian positives about package-contains-timestamped-gzip
  * Cleanup debian/copyright from not existing files and not DEP5 conform
    issues
  * d/watch: add version mangling

 -- Andreas Tille <tille@debian.org>  Tue, 01 Dec 2015 16:03:42 +0100

emboss (6.6.0+dfsg-2biolinux1) trusty; urgency=medium

  * Current package builds jemboss from source but then installs
    the pre-built jemboss.jar from the tarball - not good!!
    Add ant dep and ensure that jemboss.jar really builds
  * Include image for icon and edit .desktop file
  * Add /usr/bin/jemboss
  * Clean ./jemboss/runJemboss.sh which is created on build
  * Clean various other files that blocked debuild -S (but note
    we are still using some convenience copies of JARs)
  * Remove makeJar.csh, and thus remove jemboss dep on csh
  * Remove activation.jar which does not seem to be used at all

 -- Tim Booth <tbooth@ceh.ac.uk>  Wed, 08 Apr 2015 19:06:09 +0100

emboss (6.6.0+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * debian/copyright: Add Upstream-Contact to report bugs

  [ Gert Wollny ]
  * Add patch to pad Hershey_to_Unicode_table consistently (Closes: #748395)

  [ Andreas Tille ]
  * cme fix dpkg-control:
     - drop very old library versions from conflicts / replaces list
  * remove explicite quilt dependency which is not needed
  * debian/copyright: Exclude invariant GFDL 1.1 files which are related to
    quite outdated EMBOSS 2.5.0
  * debian/emboss-doc.doc-base.emboss-admin: removed
  * debian/patches/remove_non-free_doc.patch: Cleanup Makefile.am from non-free
    docs

 -- Andreas Tille <tille@debian.org>  Mon, 19 May 2014 20:52:12 +0200

emboss (6.6.0-1) unstable; urgency=low

  [ Charles Plessy ]
  ec024a3 Imported Upstream version 6.5.7
  78ef855 Removed upstream patch (for version 6.4.0).
  2f66060 Clarified the license of the packaging.

  [ Andreas Tille ]
  * Imported Upstream version 6.6.0 (+adapt quilt patches)
    Closes: #558852 (at least the regexp
      dpkg-shlibdeps: warning: symbol.*found in none of the libraries
    does not appear in the build log any more - feel free to reopen
    with more info)
  * Clarified copyright and licenses for:
    - emboss/data/OBO/chebi.obo [b60238c]
    - emboss/data/OBO/gene_ontology*.obo [dc91819]
    - emboss/data/OBO/software.obo [3c8b4bf]
    - emboss/data/OBO/*.obo [8c34d40]
    - emboss/data/OBO/pathway.obo [1b3bbcf][1ff8ab9]
    - emboss/data/OBO/eco.obo [95aa795]
    - emboss/data/OBO/ro.obo [2865596]
  * debian/control:
    - Standards-Version: 3.9.4 (no changes needed)
    - Provide real package evince in addition to virtual package pdf-viewer
  * debian/rules:
    - Remove some remainings from CVS from emboss-test package
  * debian/{jemboss.desktop,jemboss.menu}:
    - runJemboss.sh is now POSIX shell instead of csh
  * debian/source/format: 3.0 (quilt)
  * debian/patches/bashism.patch: Avoid bashism
    Closes: #690651

 -- Andreas Tille <tille@debian.org>  Mon, 09 Sep 2013 14:48:22 +0200

emboss (6.4.0-4) unstable; urgency=low

  * use autoreconf to enable latest changes

 -- Andreas Tille <tille@debian.org>  Fri, 10 Aug 2012 22:46:33 +0200

emboss (6.4.0-3) unstable; urgency=low

  * Import patches prepared by Felix Geyer <fgeyer@debian.org> to cope
    with the --as-needed issue when linking against database clients
    (thanks to Felix)
    Closes: #650237
  * Fix typo to build emboss including PostgreSQL support (Thanks to
    Felix Geyer <fgeyer@debian.org> for the patch)
    Closes: #683190

 -- Andreas Tille <tille@debian.org>  Thu, 09 Aug 2012 16:01:07 +0200

emboss (6.4.0-2) unstable; urgency=low

  * Separate architecture-dependant and independant targets in debian/rules.
    This makes the package buildable again on our build farm.

 -- Charles Plessy <plessy@debian.org>  Thu, 21 Jun 2012 14:31:59 +0900

emboss (6.4.0-1) unstable; urgency=low

  [ Charles Plessy ]
  * New upstream release.
  * Removed calls to dh_makeshlibs in debian/rules (closes: #595613).
  * Build on libpng-dev instead of libpng12-dev (closes: #662313).
  * Breaks: EMBASSY <= 6.3.1 (debian/control).

  [ Andreas Tille ]
  * debian/upstream: separate reference section
  * debian/rules:
     - Make sure every binary package has a changelog file
     - enable hardening
     - do not clean backup file which is part of upstream tarball
     - remove executable flag from some test data
     - restore executable flag of some jemboss utils which seems to
       be removed by install target
  * debian/control:
     - remove article from description
     - Standards-Version: 3.9.3 (no changes needed)
  * debian/emboss.menu: delete - chances that users will pick command
    line programs from longish menu entries are pretty low
  * debian/emboss-lib.lintian-overrides: Adapted string of lintian
    warning

 -- Charles Plessy <plessy@debian.org>  Wed, 20 Jun 2012 18:55:16 +0900

emboss (6.3.1-6) unstable; urgency=low

  * All EMBOSS libraries are to be considered private. The libajax* and
    libnucleus* are merged in the emboss-lib package, which is moved
    from the ‘libs’ to the ‘science’ section. Closes: #595613.
  * Added a Lintian override for the convenience copy of the PCRE
    library (debian/emboss-lib.lintian-overrides).
  * Build-depend on libhpdf-dev for PDF support, removed erroneous build
    dependance on libpcre3-dev (debian/control).
  * Added dependance on emboss to jemboss (debian/control).

 -- Charles Plessy <plessy@debian.org>  Thu, 16 Sep 2010 21:06:14 +0900

emboss (6.3.1-5) unstable; urgency=low

  * New upstream patch, version 1-4.
  * Restore original config.* files in the clean target if the unpacked
    source package is a git repository (debian/rules).

 -- Charles Plessy <plessy@debian.org>  Thu, 12 Aug 2010 08:00:58 +0900

emboss (6.3.1-4) unstable; urgency=low

  * New upstream patch, version 1-2.
  * Unset LS_COLORS in debian/rules (see #592089).

 -- Charles Plessy <plessy@debian.org>  Sat, 07 Aug 2010 23:03:10 +0900

emboss (6.3.1-3) unstable; urgency=low

  * Use default Java instead of OpenJDK (debian/control, debian/rules,
    closes: #590553, thanks to Petr Salinger).
  * Incremented Standards-Version in debian/control to reflect conformance
    with Debian Policy 3.9.1 (no changes needed).

 -- Charles Plessy <plessy@debian.org>  Wed, 28 Jul 2010 23:42:31 +0900

emboss (6.3.1-2) unstable; urgency=low

  * First upstream patch for version 6.3.1 (debian/series,
    debian/patches/official-upstream-patch.patch).
  * Moved openjdk-6-jdk to Build-Depends (debian/control, closes: #589897).

 -- Charles Plessy <plessy@debian.org>  Fri, 23 Jul 2010 10:51:50 +0900

emboss (6.3.1-1) unstable; urgency=low

  * New upstream release.
    - Dropped debian/patches/official-upstream-patch.patch.
    - Refreshed the manual pages (debian/*manpages*).
  * Incremented Standards-Version in debian/control to reflect conformance
    with Debian Policy 3.9.0 (no changes needed).
  * Keep and restore a clean copy of the test directory, closes: #587170.
  * Build against Debian's zlib and expat libraries (debian/rules,
    debian/control, deleted debian/libajax6.lintian-overrides).
  * Added support for MySQL and PostgreSQL (debian/control, debian/rules).
  * Added symbols files for emboss-libs, libajax6 and libnucleus6. This
    will prevent mixing incompatible binary packages (LP: 526356).

 -- Charles Plessy <plessy@debian.org>  Wed, 21 Jul 2010 15:24:07 +0900

emboss (6.2.0-2) unstable; urgency=low

  * Updated debian/patches/official-upstream-patch.patch to version 1-19.

 -- Charles Plessy <plessy@debian.org>  Tue, 22 Jun 2010 17:01:44 +0900

emboss (6.2.0-1) unstable; urgency=low

  * New upstream release.
  * Dropped useless dependency on csh | c-shell for emboss (LP: 525662).
  * Incremented Standards-Version in debian/control to reflect conformance
    with Policy 3.8.4 (no changes needed).
  * Detected a zlib convenience copy; added debian/emboss.lintian-overrides
    until Upstream confirms that EMBOSS can build on latest pristine zlib
    (See http://lists.open-bio.org/pipermail/emboss/2010-May/003915.html).

 -- Charles Plessy <plessy@debian.org>  Mon, 31 May 2010 15:13:09 +0900

emboss (6.1.0-5) unstable; urgency=low

  * The source package is now managed with Git (debian/control).
    - VCS URLs updated in debian/control.
  * debian/changelog: corrected an error on a program name (vectorstrip).
  * debian/patches/transient-vectorstrip.patch: keep quality scores.
  * Two new patches not yet officialised:
    - debian/patches/transient-vectorstrip.patch: retain quality scores.
    - debian/patches/tfm-html.patch: corrects path to HTML documentation.
  * Added Debian and FreeDesktop menu entries for Jemboss.
  * Do not create a makefile when there is not at clean time (debian/rules).
  * Documented how the package is tested in README.debian.
  * Added various informations about Upstream in debian/upstream-metadata.yaml

 -- Charles Plessy <plessy@debian.org>  Mon, 09 Nov 2009 20:39:28 +0900

emboss (6.1.0-4) unstable; urgency=low

  * New upstream patch (patch-1-2):
    - Fix string extension so that pointers in lists remain valid.
    - This fixes a bug in processing SwissProt complex descriptions.
    - Fix definition of AJRESIZE0 macro.
    - Fix processing of first match in a profile alignment (prophet).
  * Delete /usr/share/EMBOSS/doc/programs/text/frestdist.txt, that
    should belong to embassy-phylip (PHYLIPNEW). (debian/rules)
  * Incremented Standards-Version in debian/control to reflect conformance
    with Policy 3.8.3 (no changes needed).
  * Removed the libtool libraries from the development packages (debian/rules).

 -- Charles Plessy <plessy@debian.org>  Tue, 25 Aug 2009 23:19:10 +0900

emboss (6.1.0-2) unstable; urgency=low

  * New upstream patch (patch-1-1):
    - Fix feature specification problems in Jemboss.
    - Use version number to point to documentation URLs
    - Remove standalone option from server script.
    - Correct FASTQ input searching for '@' to start next sequence
    - Standardize FASTQ sequence formats with other OpenBio projects
    - Correct issues in igstrict, genpept and refseqp formats
  * debian/control:
    - Incremented Standards-Version to reflect conformance with Policy 3.8.2
      (no changes needed).
  * debian/copyright.introduction:
    - Use symbolic links to refer to relevant versions of the GNU licenses.

 -- Charles Plessy <plessy@debian.org>  Sat, 01 Aug 2009 10:26:26 +0900

emboss (6.1.0-1) unstable; urgency=low

  * New upstream release (Closes: #530112).
  * Dropped patch against previous release.
  * Created or refreshed the manpages.

 -- Charles Plessy <plessy@debian.org>  Wed, 15 Jul 2009 23:15:26 +0900

emboss (6.0.1-11) unstable; urgency=low

  * New upstream patch (patch-1-12):
    - Remove the 'aligned' attribute that was added in Fix 4.
    - Fix crash if maxfragl > 40 selected.
    - Update Entrez retrieval to cope with an extra line added
      in the NCBI results.
    - For phylogenetic applications (PHYLIPNEW) reading distance matrix files
      failed for some formats written by other applications. Distance matrix
      input now works for multiple matrices in square, upper-triangular and
      lower-triangular formats.

 -- Charles Plessy <plessy@debian.org>  Sun, 17 May 2009 14:51:05 +0900

emboss (6.0.1-10) unstable; urgency=low

  * New upstream patch (patch-1-8):
      Incorrect information was often given in the subsidiary table
      listing REs that would cut a greater number of times than an
      optional user-supplied maximum number. The main role of
      the program was unaffected.

 -- Charles Plessy <plessy@debian.org>  Tue, 21 Apr 2009 13:01:38 +0900

emboss (6.0.1-9) unstable; urgency=low

  * New upstream patch (patch-1-7):
    - Corrections on syntax using the master qualifier name as a suffix.
    - Better support of the --without-x (not used in this package).
    - Bug corrected for needle and water using the -nobrief option.
  * debian/rules
    - Corrected again the targets to avoid calling them when it is not
      necessary.
    - Defines emboss_acdroot, emboss_docroot and emboss_data in order
      to run the tests.

 -- Charles Plessy <plessy@debian.org>  Wed, 08 Apr 2009 20:20:58 +0900

emboss (6.0.1-8) unstable; urgency=low

  * debian/rules:
     - Do not pass java options to the configure script if openjdk is not
       installed (Closes: #521996, thanks to Peter Green).
     - Recursive removal of emboss_tmp (to build the package twice in a row).
     - Removed one `dh binary-indep` instance that strangely sneaked in after
       running `svn update`.
  * debian/control:
    - Moved again openjdk-6-jdk to Build-Depends-Indep.
    - Added debhelper's ${misc:Depends} substitution variable to the packages
      that did not already depend on it.

 -- Charles Plessy <plessy@debian.org>  Tue, 31 Mar 2009 14:26:55 +0900

emboss (6.0.1-7) unstable; urgency=low

  * debian/control: moved openjdk-6-jdk to Build-Depends.
    Apologies to buildd administrators. (Closes: #521912).

 -- Charles Plessy <plessy@debian.org>  Tue, 31 Mar 2009 08:34:59 +0900

emboss (6.0.1-6) unstable; urgency=low

  * debian/rules:
    - Build arch all packages only when binary-indep is called
      (Closes: #521398)
    - Corrected stamping gymnastics.
  * debian/control: moved openjdk-6-jdk to Build-Depends-Indep

 -- Charles Plessy <plessy@debian.org>  Mon, 30 Mar 2009 13:02:11 +0900

emboss (6.0.1-5) unstable; urgency=low

  * New upstream patch (patch-1-6): correction for large pairwise alignments.
  * debian/control:
    - Incremented Standards-Version to reflect conformance with Policy 3.8.1
      (no changes needed).
    - Moved the bibliographic reference from the description of the EMBOSS
      package to the file debian/reference.

 -- Charles Plessy <plessy@debian.org>  Wed, 25 Mar 2009 11:44:30 +0900

emboss (6.0.1-4) unstable; urgency=low

  * New upstream patch (patch-1-5):
    - removes unnecessary whitespaces in edialign.acd.
    - saves Citations and comments in EMBL/GenBank formats for each new
      entry processed.
  * debian/control:
    - Uses the official homepage URL as confirmed by Upstream.
    - Redundant section field removed for jemboss.
    - Description corrected for libnucleus6-dev.
  * debian/rules:
     - Pass --bindir=/usr/lib/emboss directly instead of moving files.
     - Hardcode AJAX_FIXED_ROOT to /usr/share/EMBOSS (Closes: #487539).
     - Replaced `dh_clean -k', deprecated, by dh_prep.
  * debian/emboss.dir, debian/emboss.install: simplified after reworking
    the installation of the binaries and their symbolic links.

 -- Charles Plessy <plessy@debian.org>  Sun, 22 Feb 2009 22:53:55 +0900

emboss (6.0.1-3) experimental; urgency=low

  * New upstream patch (patch-1-3).
    - fixes segmentation fault in vectorstrip when -auto is used with empty
      vectorsfile.
    - adds '.' trailer to the OS line in SwissProt output.
  * debian/rules: corrected the section of the manual pages of the renamed
    programs from 1 to 1e (Closes: #503733).
  * Preliminary support for jEMBOSS:
    - Build-Depend on openjdk-6-jdk (debian/control).
    - New package "jemboss", depending on openjdk-6-jre (debian/control).
    - The jemboss package contains everything installed by the command
      `make -C jemboss install' (debian/rules).

 -- Charles Plessy <plessy@debian.org>  Wed, 26 Nov 2008 08:57:20 +0900

emboss (6.0.1-2) experimental; urgency=low

  * New upstream patch (patch-1-1).
    - jaspscan can now scan multiple sequences.
    - "digest -allpartials" now reports all C-term fragments.

 -- Charles Plessy <plessy@debian.org>  Wed, 27 Aug 2008 22:11:45 +0900

emboss (6.0.1-1) experimental; urgency=low

  * New upstream release:
    - New applications: aligncopy, aligncopypair, consambig, density,
      featcopy, featreport, infobase, inforesidue, jaspextract, jaspscan,
      maskambignuc, maskambigprot, nohtml, nospace, notab, sizeseq,
      skipredundant, trimspace.
    - See `/usr/share/doc/emboss/changelog.gz' for more details.
  * debian/patches:
    - Removed the patches that are obsoleted by the new release.
    - Documented the local patch on `tfm' that changes default pager.
  * debian/README.source added to document how to patch and unpatch the
    sources.
  * debian/emboss-doc.doc-base.{apps/groups} corrected for new file locations.
  * debian/control:
    - Replaced build dependency on deprecated x-dev by x11proto-core-dev.
    - Uses debhelper 7.
    - Incremented the soname of the AJAX and NUCLEUS libraries (conflict and
      replace the previous versions).
    - Incremented Standards-Version to 3.8.0 after adding README.Sources.
    - Added a new package, emboss-test, that contains test data.
    - Build-Depends: tcsh | csh | c-shell to run the tests.
  * debian/rules:
    - Implemented build-time tests.
    - Updated the instructions to build manpages.

 -- Charles Plessy <plessy@debian.org>  Thu, 17 Jul 2008 14:07:40 +0900

emboss (5.0.0-7) unstable; urgency=low

  * Changed the doc-base section according to the new policy.
  * Updated my email address.
  * Updated the contact address in the manpages.

 -- Charles Plessy <plessy@debian.org>  Fri, 16 May 2008 19:58:37 +0900

emboss (5.0.0-6) unstable; urgency=low

  * New bugfixes released upstream:
    - Fixes failure on some databases if the PAGESIZE was set large
      and the CACHESIZE was set small.
    - Platform-independence modifications added.
  * debian/README.Debian: described the change of default pager for tfm.

 -- Charles Plessy <charles-debian-nospam@plessy.org>  Fri, 07 Mar 2008 10:15:31 +0900

emboss (5.0.0-5) unstable; urgency=low

  * New bugfixes released upstream.
    - Fixes changed ID format in GCG databases.
    - Fixes reading from PIR databases.
    - Fixes a problem with O in protein sequences for pyrrolysine.
    - Fixes a problem in GENBANK output format.
    - Fixes a problem in reading protein sequences from Staden
      "spin" interface.
    - Fixes tokens that are longer than the maximum length.
    - debian/patches now uses the monolithic upstream patch instead of
      file-per-file fixes. You can find longer explanations in the header
      of debian/patches/patch-1-3.

 -- Charles Plessy <charles-debian-nospam@plessy.org>  Sat, 01 Mar 2008 11:46:26 +0900

emboss (5.0.0-4) unstable; urgency=low

  * debian/patches:
    - using-pager-in-tfm.patch:
      Patching tfm so that it uses the alternatives system `/usr/bin/pager'
      if the `PAGER' environment variable is not defined.
    - embindex-fix-2008-01-19.patch:
      Official fix 3. EMBOSS-5.0.0/nucleus/embindex.c 18 Jan 2008.
      Order and fill fixes to sort out potential problems with kw/de/tx
      indexes.

 -- Charles Plessy <charles-debian-nospam@plessy.org>  Wed, 23 Jan 2008 20:56:22 +0900

emboss (5.0.0-3) unstable; urgency=low

  [ Nelson A. de Oliveira ]
  * Using bzip2 compression for packages. This saves about 832KB of space.

  [ Charles Plessy ]
  * debian/patches/ajindex-fix-2008-01-09.patch:
    - Fixes rare secondary index problem with input files over 2Gb.
  * debian/control:
    - Switched maintainership to the Debian-Med packaging team.
    - Relocated the package to the Debian-Med Subversion repository.
    - Allowed upload by Debian Maintainers.
    - Checked that the package is compliant to Policy 3.7.3
    - Added dialign again to the Recommends: field. It only disappeared from
      the documentation; the edialign program is still there.
    - -dev packages now depend on their corresponding libraries.
    - Replaced occurrences of $(source:Version} by ${binary:Version} to make
      the packages binNMU safe.
    - emboss-data and emboss-doc do not Suggest: emboss anymore.
    - Changed the description of libajax5 and libnucleus5 so that they are not
      identical.
    - Removed the XS- prefix in the Vcs fields.
    - Build-depends on autotools-dev.
  * debian/rules:
    - Removes Makefiles ignored by make distclean in the test directory.
    - Uses config.(sub|guess) from the autotools-dev package.

 -- Charles Plessy <charles-debian-nospam@plessy.org>  Thu, 10 Jan 2008 21:27:31 +0900

emboss (5.0.0-2) unstable; urgency=low

  [ Charles Plessy ]
  * Using a emboss/psiphi.c file fixed by upstream
    ftp://emboss.open-bio.org/pub/EMBOSS/fixes/psiphi.c
  * Documentation:
    - Building the manpages offline to save buildd time, therefore not
      depending anymore on the XML toolchain.
    - Added a "e" suffix to the manpages, to avoid conflicts.
      (Closes: #427439)
    - Linked /usr/share/emboss-doc/doc/ to /usr/share/EMBOSS/docs, and
      registered documentation in doc-base. (Closes: #423941)
  * Gave their own packages to the AJAX and NUCLEUS libraries.
    - Header files are in /usr/include/ajax and /usr/include/nucleus.
    - The private pcre files are kept under /usr/include/ajax. (Closes: #433316)
  * Packaging:
    - Removed the extra Tag field in debian/control.
    - Removed the recommendation on dialign, as edialign disappeared.
    - Tightened the Depends: relationship between emboss and
      emboss-lib (Closes: #435232).
    - Removed inactive developer from the uploaders list.
    - Suggests: embassy.
  * Temporarily incorporates a relicenced version of the EMBOSS Quick
    Guide, until it becomes part of the original tarball. Its sources
    are shipped uuencoded, therefore emboss now build-depends on sharutils.

  [ Nelson A. de Oliveira ]
  * Checked and fixed clean target. (Closes: #442554).

 -- Charles Plessy <charles-debian-nospam@plessy.org>  Sat, 13 Oct 2007 15:05:53 +0900

emboss (5.0.0-1) unstable; urgency=low

  * New upstream version
  * Renaming cons and pscan to em_cons and em_pscan, see README.Debian
    for more information.
  * Moved all the binaries to /usr/lib/emboss. /usr/bin contains only
    symbolic links (Closes : #427439, #427440).
  * Makes sure that there is a Makefile before invoking the clean rule.
  * Added /etc/emboss/embossrc.d directory for future modular
    configuration.
  * Switched from dpatch to quilt (no patches for the moment).
  * Build-depend on libemboss-acd-perl to generate manpages with
    acd2docbook.pl, written especially for this package (Closes: #423938).
  * Adding a placeholder file to force the inclusion of debian/manpages.
  * Removing the entries in the Debian menu until we agree that we
    want them.

 -- Charles Plessy <charles-debian-nospam@plessy.org>  Thu, 19 Jul 2007 13:56:11 +0900

emboss (4.1.0-1) experimental; urgency=low

  * New maintainer and uploaders
  * First official release (Closes: #156276)
  * Xlib transition.
  * Using dpatch and /usr/share/dpatch/dpatch.make to manage patches.
  * Added XS-Vcs entries in debian/changelog.
  * Removed the pcre includes from the emboss-libs package.
  * Fixed watch file.
  * Emboss Recommends:dialign and Suggests:clustalw.

 -- Charles Plessy <charles-debian-nospam@plessy.org>  Mon, 12 Mar 2007 08:26:15 +0900

emboss (2.8.0-2) unstable; urgency=low

  * Fixed manpages being in both emboss and emboss-lib
  * Removed circ.dep. emboss <-> emboss-lib

 -- Matt Hope <dopey@debian.org>  Fri, 21 May 2004 12:47:47 +1000

emboss (2.8.0-1) unstable; urgency=low

  * New upstream release

 -- Matt Hope <dopey@debian.org>  Fri,  5 Dec 2003 15:08:54 +1100

emboss (2.7.1-1) unstable; urgency=low

  * New upstream release
  * emboss-lib
    - Fixed the shlibs.

 -- Matt Hope <matth@bioinformatics.unsw.edu.au>  Mon,  7 Jul 2003 14:36:14 +1000

emboss (2.6.0-1) unstable; urgency=low

  * New upstream release

 -- Matt Hope <matth@bioinformatics.unsw.edu.au>  Mon, 07 Apr 2003 21:41:12 +1000

emboss (2.4.1-1) unstable; urgency=low

  * Initial package.
    Thanks for the feedback from everyone.
    (Closes: Bug#156276 ITP)

 -- Matt Hope <matth@bioinformatics.unsw.edu.au>  Sat,  6 Jul 2002 01:11:17 +1000

